# MPE_Decomp1d

Compute a balanced decomposition of a 1-D array

## Synopsis

    int MPE_Decomp1d( n, size, rank, s, e )
    int n, size, rank, *s, *e;

## Input Parameters

n
  Length of the array
size
  Number of processors in decomposition
rank
  Rank of this processor in the decomposition (0 <= rank < size)

## Output Parameters

s,e
  Array indices are s:e, with the original array considered as 1:n.

Location:../src/misc/src/decomp.c